import { Mat } from './Mat';
import { Assertable } from './utils/Assertable';
export declare class R extends Assertable {
    static randf(min: number, max: number): number;
    static randi(min: number, max: number): number;
    static randn(mu: number, std: number): number;
    private static returnV;
    private static vVal;
    private static gaussRandom();
    static fillRandn(m: Mat, mu: number, std: number): void;
    static fillRand(m: Mat, lo: number, hi: number): void;
    static gradFillConst(m: Mat, c: number): void;
    static setConst(arr: Array<number>, c: number): void;
    static zeros(n: any): any;
    static maxi(w: Array<number>): number;
    static sampleWeighted(p: Array<number>): number;
}
